Package wx :: Module aui :: Class AuiToolBar

[frames | no frames]

## Type AuiToolBar

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            AuiToolBar

Proxy of C++ AuiToolBar class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
| `__del__(self)`
| `AddControl(self, control, label)`
| `AddLabel(self, tool_id, label, width)`
| `AddSeparator(self)`
| `AddSpacer(self, pixels)`
| `AddStretchSpacer(self, proportion)`
| ``AddTool`(self, tool_id, label, bitmap, short_help_string, kind)` int kind, String short_help_string, String long_help_string, Object client_data)
| `Clear(self)`
| `ClearTools(self)`
bool | `DeleteByIndex(self, tool_id)`
bool | `DeleteTool(self, tool_id)`
| `EnableTool(self, tool_id, state)`
Control | `FindControl(self, window_id)`
AuiToolBarItem | `FindTool(self, tool_id)`
AuiToolBarItem | `FindToolByIndex(self, idx)`
AuiToolBarItem | `FindToolByPosition(self, x, y)`
AuiToolBarArt | `GetArtProvider(self)`
bool | `GetGripperVisible(self)`
bool | `GetOverflowVisible(self)`
bool | `GetToolBarFits(self)`
Bitmap | `GetToolBitmap(self, tool_id)`
Size | `GetToolBitmapSize(self)`
int | `GetToolBorderPadding(self)`
size_t | `GetToolCount(self)`
bool | `GetToolDropDown(self, tool_id)`
bool | `GetToolEnabled(self, tool_id)`
bool | `GetToolFits(self, tool_id)`
bool | `GetToolFitsByIndex(self, tool_id)`
int | `GetToolIndex(self, tool_id)`
String | `GetToolLabel(self, tool_id)`
String | `GetToolLongHelp(self, tool_id)`
int | `GetToolPacking(self)`
int | `GetToolPos(self, tool_id)`
int | `GetToolProportion(self, tool_id)`
Rect | `GetToolRect(self, tool_id)`
int | `GetToolSeparation(self)`
String | `GetToolShortHelp(self, tool_id)`
bool | `GetToolSticky(self, tool_id)`
int | `GetToolTextOrientation(self)`
bool | `GetToolToggled(self, tool_id)`
bool | `Realize(self)`
| `SetArtProvider(self, art)`
| `SetCustomOverflowItems(self, prepend, append)`
| `SetGripperVisible(self, visible)`
| ``SetMargins`(self, size)` SetMargins(self, int x, int y) SetMargins(self, int left, int right, int top, int bottom)
| `SetOverflowVisible(self, visible)`
| `SetToolBitmap(self, tool_id, bitmap)`
| `SetToolBitmapSize(self, size)`
| `SetToolBorderPadding(self, padding)`
| `SetToolDropDown(self, tool_id, dropdown)`
| `SetToolLabel(self, tool_id, label)`
| `SetToolLongHelp(self, tool_id, help_string)`
| `SetToolPacking(self, packing)`
| `SetToolProportion(self, tool_id, proportion)`
| `SetToolSeparation(self, separation)`
| `SetToolShortHelp(self, tool_id, help_string)`
| `SetToolSticky(self, tool_id, sticky)`
| `SetToolTextOrientation(self, orientation)`
| `ToggleTool(self, tool_id, state)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, position=DefaultPosition, size=DefaultSize, style=AUI_TB_DEFAULT_STYLE)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### AddTool(self, tool_id, label, bitmap, short_help_string=wxEmptyString, kind=ITEM_NORMAL)

AddTool(self, int tool_id, String label, Bitmap bitmap, Bitmap disabled_bitmap,
  int kind, String short_help_string, String long_help_string, Object client_data)
AddTool(self, int tool_id, Bitmap bitmap, Bitmap disabled_bitmap,
  bool toggle=False, Object client_data=None, String short_help_string=wxEmptyString, String long_help_string=wxEmptyString)

  Parameters:
    `tool_id`
    (type=int)

    `label`
    (type=String)

    `bitmap`
    (type=Bitmap)

    `short_help_string`
    (type=String)

    `kind`
    (type=int)

### SetMargins(self, size)

SetMargins(self, int x, int y) SetMargins(self, int left, int right, int top, int bottom)

  Parameters:
    `size`
    (type=Size)

Property Details

### thisown

The membership flag

  Get Method:
    unknown-25691872(...)
  Set Method:
    unknown-25691992(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:54 2009 | http://epydoc.sf.net